Index: lib/spatial/mapbuilder/lib/widget/CursorTrack.js
===================================================================
--- lib/spatial/mapbuilder/lib/widget/CursorTrack.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/widget/CursorTrack.js	(revision 4307)
@@ -2,172 +2,226 @@
 Author:       Mike Adair mike.adairATccrs.nrcan.gc.ca
 License:      LGPL as per: http://www.gnu.org/copyleft/lesser.html
 
-$Id$
+$Id: CursorTrack.js 3889 2008-02-27 18:29:43Z ahocevar $
 */
 
 // Ensure this object's dependancies are loaded.
 mapbuilder.loadScript(baseDir+"/widget/WidgetBaseXSL.js");
-mapbuilder.loadScript(baseDir+"/model/Proj.js");
 
 /**
  * Widget to display the mouse coordinates when it is over a MapContainer widget.
  *
  * @constructor
- * @base WidgetBase
+ * @base WidgetBaseXSL
  * @param widgetNode This widget's object node from the configuration document.
  * @param model The model that this widget is a view of.
  */
-
 function CursorTrack(widgetNode, model) {
   WidgetBaseXSL.apply(this,new Array(widgetNode, model));
 
   //by default, display coords in latlon; if false show map XY
-  this.showPx 	  = false;		// pixel coordinates
-  this.showXY 	  = false;		// XY Coordinates
-  this.showLatLong = true;		// Standard lat long
-  this.showDMS	  = false;		// Lat/long in DD MM SS format
-  this.showMGRS 	  = false;		// Military Grid Reference System
-  this.precision   = 5;
-	
-  var showXYNode = widgetNode.selectSingleNode("mb:showXY");
-  if (showXYNode) 
-  	this.showXY = (showXYNode.firstChild.nodeValue=="false")?false:true;
-  
-  var showPx = widgetNode.selectSingleNode("mb:showPx");
-  if( showPx )
-  	this.showPx = (showPx.firstChild.nodeValue=="false")?false:true;
+  this.showPx = Mapbuilder.parseBoolean(this.getProperty("mb:showPx", false)); // pixel coordinates
+  this.showXY = Mapbuilder.parseBoolean(this.getProperty("mb:showXY", false)); // XY Coordinates
+  this.showLatLong = Mapbuilder.parseBoolean(this.getProperty("mb:showLatLong", true)); // Standard lat long
+  this.showDMS = Mapbuilder.parseBoolean(this.getProperty("mb:showDMS", false)); // Lat/long in DD MM SS.S format
+  this.showDM = Mapbuilder.parseBoolean(this.getProperty("mb:showDM", false)); // Lat/long in DD MM.MMMM format
+  this.showMGRS = Mapbuilder.parseBoolean(this.getProperty("mb:showMGRS", false)); // Military Grid Reference System
+  if( this.showMGRS ) {
+    // load this here so it is not required for everyone
+    mapbuilder.loadScript(baseDir+"/util/MGRS.js");
+  }
 
-  var showLatLong = widgetNode.selectSingleNode("mb:showLatLong");
-  if( showLatLong )
-  	this.showLatLong = (showLatLong.firstChild.nodeValue=="false")?false:true;
+  this.precision = this.getProperty("mb:precision", 2);
 
-  var showDMS = widgetNode.selectSingleNode("mb:showDMS");
-  if( showDMS )
-  	this.showDMS = (showDMS.firstChild.nodeValue=="false")?false:true;
+  //set some properties for the form output
+  this.formName = "CursorTrackForm_" + mbIds.getId();
+  this.stylesheet.setParameter("formName", this.formName);
 
-  var showMGRS = widgetNode.selectSingleNode("mb:showMGRS");
-  if( showMGRS ) {
-  	this.showMGRS = (showMGRS.firstChild.nodeValue=="false")?false:true;
-  	// load this here so it is not required for everyone
-  	mapbuilder.loadScript(baseDir+"/util/MGRS.js");
-  }
-  
-  var precision = widgetNode.selectSingleNode("mb:precision");
-  if (precision) 
-    this.precision = precision.firstChild.nodeValue;
-  
+
   /**
-   * Start cursor tracking when the mouse is over the MapContainer.
-   * set an interval to output the coords so that it doesn't execute on every
-   * move event.  The setInterval method in IE doesn't allow passing of an
-   * argument to the function called so set a global reference to MapContainer
-   * here;  mouse can only be over one MapContainer at time so this should be safe.
-   * @param objRef Pointer to this CurorTrack object.
-   * @param targetNode The node for the enclosing HTML tag for this widget.
+   * Add mouse event listeners to the map object in the model.
+   * @param objRef Pointer to this CursorTrack object.
    */
-  this.mouseOverHandler = function(objRef, targetNode) {
-    objRef.coordForm = document.getElementById(objRef.formName);
-    window.cursorTrackObject = objRef;
-    window.cursorTrackNode = targetNode;
-    objRef.mouseOver = true;
-    objRef.mouseTrackTimer = setInterval( ReportCoords, 100, objRef);
+  this.init = function(objRef) {
+    objRef.proj = new OpenLayers.Projection( objRef.model.getSRS() );
+
+    objRef.model.map.events.register('mousemove', objRef, objRef.mousemoveHandler);
+    objRef.model.map.events.register('mouseout',  objRef, objRef.mouseoutHandler);
+
+    if( this.showMGRS )
+      this.MGRS = new MGRS();
   }
+  this.model.addListener("loadModel", this.init, this );
+  
+  this.clear = function(objRef) {
+    if (objRef.model.map && objRef.model.map.events) {
+      objRef.model.map.events.unregister('mousemove', objRef, objRef.mousemoveHandler);
+      objRef.model.map.events.unregister('mouseout',  objRef, objRef.mouseoutHandler);
+    }
+  }
+  this.model.addListener("newModel", this.clear, this);
 
   /**
-   * Stop cursor tracking when the mouse leaves the MapContainer.
-   * @param objRef Pointer to this CurorTrack object.
-   * @param targetNode The node for the enclosing HTML tag for this widget.
+   * OpenLayers mousemove event listener.
+   * @param evt OpenLayers mouse event
    */
-  this.mouseOutHandler = function(objRef, targetNode) {
-    
-    if (objRef.mouseTrackTimer) 
-    		clearInterval(objRef.mouseTrackTimer);
-    
-    objRef.mouseOver = false;
-    
-    if( objRef.showLatLong ) {
-      if( objRef.coordForm.longitude )
-        objRef.coordForm.longitude.value = "";
-  	    if( objRef.coordForm.latitude )
-        objRef.coordForm.latitude.value = "";
-    } 
+  this.mousemoveHandler = function(evt) {
+    var coordForm = document.getElementById(this.formName);
+    if (!evt) return;
 
-    if( objRef.showDMS ) {
-      if( objRef.coordForm.longdeg )
-        objRef.coordForm.longdeg.value = "";
-      if( objRef.coordForm.longmin )
-        objRef.coordForm.longmin.value = "";
-      if( objRef.coordForm.longsec )
-        objRef.coordForm.longsec.value = "";
+    // capture XY coordinates
+    var evXY = this.model.map.getLonLatFromPixel(evt.xy);
 
-      if( objRef.coordForm.latdeg )
-        objRef.coordForm.latdeg.value = "";
-      if( objRef.coordForm.latmin )
-        objRef.coordForm.latmin.value = "";
-      if( objRef.coordForm.latsec )
-        objRef.coordForm.latsec.value = "";
-    } 
-    
-    if( objRef.showXY ) {
-    	  if( objRef.coordForm.x)
-        objRef.coordForm.x.value = "";
-      if( objRef.coordForm.y)
-        objRef.coordForm.y.value = "";
+    ///CSCS
+    var pt=new OpenLayers.Geometry.Point(evXY.lon, evXY.lat)
+    pt.transform(this.proj, new OpenLayers.Projection("EPSG:4326"));
+    var evLonLat = new OpenLayers.LonLat(pt.x,pt.y);
+
+
+    if( this.showPx ) {
+      if( coordForm.px )
+        coordForm.px.value = evt.xy.x;
+      if( coordForm.py )
+        coordForm.py.value = evt.xy.y;
     }
-    
-    if( objRef.showPx ) {
-      if( objRef.coordForm.px)
-        objRef.coordForm.px.value = "";
-      if( objRef.coordForm.py)
-        objRef.coordForm.py.value = "";
+
+    if( this.showXY ) {
+      if( coordForm.x )
+        coordForm.x.value = evXY.lon.toFixed(this.precision);;
+      if( coordForm.y )
+        coordForm.y.value = evXY.lat.toFixed(this.precision);;
     }
-    
-    if( objRef.showMGRS ) {
-      if( objRef.coordForm.mgrs )
-        objRef.coordForm.mgrs.value = "";
+
+    if( this.showLatLong ) {
+      if( coordForm.longitude )
+        coordForm.longitude.value = evLonLat.lon.toFixed(this.precision);
+      if( coordForm.latitude )
+        coordForm.latitude.value = evLonLat.lat.toFixed(this.precision);
     }
+
+    if( this.showDMS ) {
+      var longitude = this.convertDMS(evLonLat.lon, 'LON');
+      if( coordForm.longdeg )
+        coordForm.longdeg.value = longitude[0];
+      if( coordForm.longmin )
+        coordForm.longmin.value = longitude[1];
+      if( coordForm.longsec )
+        coordForm.longsec.value = longitude[2];
+     if( coordForm.longH )
+        coordForm.longH.value = longitude[3];
+
+      var latitude = this.convertDMS(evLonLat.lat, 'LAT');
+      if( coordForm.latdeg )
+        coordForm.latdeg.value = latitude[0];
+      if( coordForm.latmin )
+        coordForm.latmin.value = latitude[1];
+      if( coordForm.latsec )
+        coordForm.latsec.value = latitude[2];
+      if( coordForm.latH )
+        coordForm.latH.value = latitude[3];
+    }
+
+    if( this.showDM ) {
+      var longitude = this.convertDM(evLonLat.lon, 'LON');
+      if( coordForm.longDMdeg )
+        coordForm.longDMdeg.value = longitude[0];
+      if( coordForm.longDMmin )
+        coordForm.longDMmin.value = longitude[1];
+      if( coordForm.longDMH )
+        coordForm.longDMH.value = longitude[2];
+
+      var latitude = this.convertDM(evLonLat.lat, 'LAT');
+      if( coordForm.latDMdeg )
+        coordForm.latDMdeg.value = latitude[0];
+      if( coordForm.latDMmin )
+        coordForm.latDMmin.value = latitude[1];
+      if( coordForm.latDMH )
+        coordForm.latDMH.value = latitude[2];
+    }
+
+    if( this.showMGRS ) {
+      if( !this.MGRS )
+        this.MGRS = new MGRS();
+      coordForm.mgrs.value = this.MGRS.convert(evLonLat.lat,evLonLat.lon) ;
+    }
   }
 
   /**
-   * Add mouse event listeners to the MapContainer object sepecified by the
-   * mouseHandler property in config.
-   * @param objRef Pointer to this CurorTrack object.
+   * OpenLayers mouseout event listener.
+   * @param evt OpenLayers mouse event
    */
-  this.init = function(objRef) {
-    //associate the cursor track with a mappane widget
-    var mouseHandler = widgetNode.selectSingleNode("mb:mouseHandler");
-    if (mouseHandler) {
-      objRef.mouseHandler = eval("config.objects."+mouseHandler.firstChild.nodeValue);
-      objRef.mouseHandler.addListener('mouseover', objRef.mouseOverHandler, objRef);
-      objRef.mouseHandler.addListener('mouseout', objRef.mouseOutHandler, objRef);
-    } else {
-      alert('CursorTrack requires a mouseHandler property');
+  this.mouseoutHandler = function(evt) {
+    var coordForm = document.getElementById(this.formName);
+
+    if( this.showPx ) {
+      if( coordForm.px)
+        coordForm.px.value = "";
+      if( coordForm.py)
+        coordForm.py.value = "";
     }
-    
-    if( objRef.showLatLong || objRef.showDMS || objRef.showMGRS ) {
-      objRef.proj = new Proj( objRef.model.getSRS() );
+
+    if( this.showXY ) {
+      if( coordForm.x)
+        coordForm.x.value = "";
+      if( coordForm.y)
+        coordForm.y.value = "";
     }
 
-    if( this.showMGRS )
-      this.MGRS = new MGRS();
-  }
-  
-  this.model.addListener("loadModel", this.init, this );
+    if( this.showLatLong ) {
+      if( coordForm.longitude )
+        coordForm.longitude.value = "";
+      if( coordForm.latitude )
+        coordForm.latitude.value = "";
+    }
 
-  //set some properties for the form output
-  this.formName = "CursorTrackForm_" + mbIds.getId();
-  this.stylesheet.setParameter("formName", this.formName);
+    if( this.showDMS ) {
+      if( coordForm.longdeg )
+        coordForm.longdeg.value = "";
+      if( coordForm.longmin )
+        coordForm.longmin.value = "";
+      if( coordForm.longsec )
+        coordForm.longsec.value = "";
+      if( coordForm.longH )
+        coordForm.longH.value = "";
 
-}
+      if( coordForm.latdeg )
+        coordForm.latdeg.value = "";
+      if( coordForm.latmin )
+        coordForm.latmin.value = "";
+      if( coordForm.latsec )
+        coordForm.latsec.value = "";
+      if( coordForm.latH )
+        coordForm.latH.value = "";
+    }
 
-/**
-  * Decimal to DMS conversion
-  */
-function convertDMS(coordinate, type) {
+    if( this.showDM ) {
+      if( coordForm.longDMdeg )
+        coordForm.longDMdeg.value = "";
+      if( coordForm.longDMmin )
+        coordForm.longDMmin.value = "";
+      if( coordForm.longDMH )
+        coordForm.longDMH.value = "";
 
-    coordinate = Math.floor(coordinate*100);
-    coordinate = coordinate/100;
+      if( coordForm.latDMdeg )
+        coordForm.latDMdeg.value = "";
+      if( coordForm.latDMmin )
+        coordForm.latDMmin.value = "";
+      if( coordForm.latDMH )
+        coordForm.latDMH.value = "";
+    }
 
+    if( this.showMGRS ) {
+      if( coordForm.mgrs )
+        coordForm.mgrs.value = "";
+    }
+  }
+
+  /**
+   * Decimal to DMS conversion
+   */
+  this.convertDMS = function(coordinate, type) {
+    var coords = new Array();
+
     abscoordinate = Math.abs(coordinate)
     coordinatedegrees = Math.floor(abscoordinate);
 
@@ -175,103 +229,73 @@
     tempcoordinateminutes = coordinateminutes;
     coordinateminutes = Math.floor(coordinateminutes);
     coordinateseconds = (tempcoordinateminutes - coordinateminutes)/(1/60);
-    coordinateseconds =  Math.floor(coordinateseconds);
+    coordinateseconds =  Math.round(coordinateseconds*10);
+    coordinateseconds /= 10;
 
-  if (type == 'LAT') {
-    if (coordinate >= 0) {
-      coordinatehemi = "N";
-    } else {
-      coordinatehemi = "S";
-    }
-  } else if (type == 'LON') {
-    if (coordinate >= 0) {
-      coordinatehemi = "E";
-    } else {
-      coordinatehemi = "W";
-    }
+    if( coordinatedegrees < 10 )
+      coordinatedegrees = "0" + coordinatedegrees;
+
+    if( coordinateminutes < 10 )
+      coordinateminutes = "0" + coordinateminutes;
+
+    if( coordinateseconds < 10 )
+      coordinateseconds = "0" + coordinateseconds;
+
+    coords[0] = coordinatedegrees;
+    coords[1] = coordinateminutes;
+    coords[2] = coordinateseconds;
+    coords[3] = this.getHemi(coordinate, type);
+
+    return coords;
   }
-  if( coordinatedegrees < 10 )
-    coordinatedegrees = "0" + coordinatedegrees;
-    
-  if( coordinateminutes < 10 )
-    coordinateminutes = "0" + coordinateminutes;
-    
-  if( coordinateseconds < 10 )
-    coordinateseconds = "0" + coordinateseconds;
-    
-  coordinate = coordinatedegrees + " " + coordinateminutes + " " + coordinateseconds + " " + coordinatehemi;
 
-  return coordinate;       
-}
+  /**
+   * Decimal to DM (degrees plus decimal minutes) conversion
+   */
+  this.convertDM = function(coordinate, type) {
+    var coords = new Array();
 
-/**
- * A method which actually outputs the coordinates to the form.  This is a
- * global method because it is called by a Javascript setInterval timer.
- */
-function ReportCoords() {
-  var objRef = window.cursorTrackObject;
-  
-  if (objRef.mouseOver) {
-    var evPL =  window.cursorTrackNode.evpl;
+    abscoordinate = Math.abs(coordinate)
+    coordinatedegrees = Math.floor(abscoordinate);
 
-	// capture the pixel coordinates
-	if( objRef.showPx ) {    
-      if( objRef.coordForm.px )
-        objRef.coordForm.px.value = evPL[0];
+    coordinateminutes = (abscoordinate - coordinatedegrees)*60;
+    coordinateminutes = Math.round(coordinateminutes*1000);
+    coordinateminutes /= 1000;
 
-      if( objRef.coordForm.py )
-        objRef.coordForm.py.value = evPL[1];
+    if( coordinatedegrees < 10 )
+      coordinatedegrees = "0" + coordinatedegrees;
+
+    if( coordinateminutes < 10 )
+      coordinateminutes = "0" + coordinateminutes;
+
+    coords[0] = coordinatedegrees;
+    coords[1] = coordinateminutes;
+    coords[2] = this.getHemi(coordinate, type);
+
+    return coords;
+  }
+
+  /**
+   * Return the hemisphere abbreviation for this coordinate.
+   */
+  this.getHemi = function(coordinate, type) {
+    var coordinatehemi = "";
+    if (type == 'LAT') {
+      if (coordinate >= 0) {
+        coordinatehemi = "N";
+      }
+      else {
+        coordinatehemi = "S";
+      }
     }
-    
-    // capture XY coordinates
-    var evXY = objRef.model.extent.getXY( evPL );
-    
-    // store them
-    if( objRef.showXY ) {
-      if( objRef.coordForm.x )
-        objRef.coordForm.x.value = evXY[0].toFixed(objRef.precision);;
-      if( objRef.coordForm.y )
-        objRef.coordForm.y.value = evXY[1].toFixed(objRef.precision);;
+    else if (type == 'LON') {
+      if (coordinate >= 0) {
+        coordinatehemi = "E";
+      } else {
+        coordinatehemi = "W";
+      }
     }
-    
-    if( objRef.showLatLong || objRef.showDMS || objRef.showMGRS ) {
-	    var evLatLon = objRef.proj.Inverse( evXY );   //convert to lat/long
-	    
-        if( objRef.showLatLong ) {
-	      if( objRef.coordForm.longitude )
-	        objRef.coordForm.longitude.value = evLatLon[0].toFixed(objRef.precision);
-	    
-	      if( objRef.coordForm.latitude )
-	        objRef.coordForm.latitude.value = evLatLon[1].toFixed(objRef.precision);
-	    }
-        
-        if( objRef.showDMS ) {
-          var longitude = convertDMS(evLatLon[0], 'LON').split(" ");
-          if( objRef.coordForm.longdeg )
-            objRef.coordForm.longdeg.value = longitude[0];          
-          if( objRef.coordForm.longmin )
-            objRef.coordForm.longmin.value = longitude[1];
-          if( objRef.coordForm.longsec )
-            objRef.coordForm.longsec.value = longitude[2];           
-         if( objRef.coordForm.longH )
-            objRef.coordForm.longH.value = longitude[3];
 
-          var latitude = convertDMS(evLatLon[1], 'LAT').split(" ");
-          if( objRef.coordForm.latdeg )
-            objRef.coordForm.latdeg.value = latitude[0];          
-          if( objRef.coordForm.latmin )
-            objRef.coordForm.latmin.value = latitude[1];
-          if( objRef.coordForm.latsec )
-            objRef.coordForm.latsec.value = latitude[2];
-          if( objRef.coordForm.latH )
-            objRef.coordForm.latH.value = latitude[3];
-        }
-        
-	    if( objRef.showMGRS ) {
-	      if( !objRef.MGRS )
-	        objRef.MGRS = new MGRS();
-          objRef.coordForm.mgrs.value = objRef.MGRS.convert(evLatLon[1],evLatLon[0]) ;
-        }
-      }
+    return coordinatehemi;
   }
 }
Index: lib/spatial/mapbuilder/lib/widget/SelectMapLayers.xsl
===================================================================
--- lib/spatial/mapbuilder/lib/widget/SelectMapLayers.xsl	(revision 4306)
+++ lib/spatial/mapbuilder/lib/widget/SelectMapLayers.xsl	(revision 4307)
@@ -1,69 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<!--
-Description: presents the list of Layers from a WMS capabilities doc.
-            Links provided to preview and add a layer to a Context doc.
-Author:      adair
-Licence:     LGPL as specified in http://www.gnu.org/copyleft/lesser.html .
-
-$Id$
-$Name$
--->
-
-<xsl:stylesheet version="1.0" 
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-    xmlns:wms="http://www.opengis.net/wms"
-		xmlns:ogc="http://www.opengis.net/ogc"
-    xmlns:xlink="http://www.w3.org/1999/xlink">
-
-  <xsl:output method="xml" omit-xml-declaration="no" encoding="utf-8" indent="yes"/>
-
-  <!-- The coordinates of the DHTML Layer on the HTML page -->
-  <xsl:param name="modelId"/>
-  <xsl:param name="widgetId"/>
-  
-  <!-- template rule matching source root element -->
-  <xsl:template match="/WMT_MS_Capabilities | /wms:WMS_Capabilities">
-    <table>
-      <tr>
-        <th colspan="2" align="left">
-          Map Layers from: <xsl:value-of select="wms:Service/wms:Title"/><xsl:value-of select="Service/Title"/>
-        </th>
-      </tr>
-      <xsl:apply-templates/>
-    </table>
-  </xsl:template>
-
-  <!-- template rule matching displayable layers -->
-  <xsl:template match="Layer[Name]">
-    <xsl:variable name="name"><xsl:value-of select="Name"/></xsl:variable>
-    <tr>
-      <td>
-        <xsl:value-of select="Title"/>
-      </td>
-      <td width="200px" nowrap="true">
-        <a href="javascript:config.objects.editContext.addNodeToModel('{$name}')">add to map</a>
-        <!--a href="javascript:config.objects.{$modelId}.setParam('GetMap','{$name}')">show map</a-->
-      </td>
-    </tr>
-    <xsl:apply-templates/>
-  </xsl:template>
-
-  <!-- template rule matching displayable layers for v1.3.x servers-->
-  <xsl:template match="wms:Layer[wms:Name and wms:Dimension/@name='time']">
-    <xsl:variable name="name"><xsl:value-of select="wms:Name"/></xsl:variable>
-    <tr>
-      <td>
-        <xsl:value-of select="wms:Title"/>
-      </td>
-      <td>
-        <a href="javascript:config.objects.{$modelId}.setParam('mapLayer','{$name}')">show map</a>
-        <!--a href="javascript:config.objects.{$modelId}.setParam('GetMap','{$name}')">show map</a-->
-      </td>
-    </tr>
-    <xsl:apply-templates/>
-  </xsl:template>
-
-  <xsl:template match="text()|@*"/>
-
-</xsl:stylesheet>
+<?xml version="1.0"?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:wms="http://www.opengis.net/wms" xmlns:ogc="http://www.opengis.net/ogc" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0"><xsl:output method="xml" omit-xml-declaration="yes" encoding="utf-8" indent="yes"/><xsl:param name="modelId"/><xsl:param name="widgetId"/><xsl:template match="/WMT_MS_Capabilities | /wms:WMS_Capabilities"><table><tr><th colspan="2" align="left">
+          Map Layers from: <xsl:value-of select="wms:Service/wms:Title"/><xsl:value-of select="Service/Title"/></th></tr><xsl:apply-templates/></table></xsl:template><xsl:template match="Layer[Name]"><xsl:variable name="name"><xsl:value-of select="Name"/></xsl:variable><tr><td><xsl:value-of select="Title"/></td><td width="200px" nowrap="true"><a href="javascript:config.objects.editContext.addNodeToModel('{$name}')">add to map</a></td></tr><xsl:apply-templates/></xsl:template><xsl:template match="wms:Layer[wms:Name and wms:Dimension/@name='time']"><xsl:variable name="name"><xsl:value-of select="wms:Name"/></xsl:variable><tr><td><xsl:value-of select="wms:Title"/></td><td><a href="javascript:config.objects.{$modelId}.setParam('mapLayer','{$name}')">show map</a></td></tr><xsl:apply-templates/></xsl:template><xsl:template match="text()|@*"/></xsl:stylesheet>
Index: lib/spatial/mapbuilder/lib/widget/FilterAttributes.js
===================================================================
--- lib/spatial/mapbuilder/lib/widget/FilterAttributes.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/widget/FilterAttributes.js	(revision 4307)
@@ -1,22 +1,19 @@
 /*
 License: LGPL as per: http://www.gnu.org/copyleft/lesser.html
-$Id$
+$Id: FilterAttributes.js 2527 2007-01-18 16:30:04Z gjvoosten $
 */
 
 // Ensure this object's dependancies are loaded.
-mapbuilder.loadScript(baseDir+"/widget/WidgetBase.js");
+mapbuilder.loadScript(baseDir+"/widget/WidgetBaseXSL.js");
 
 /**
  * Parses a WFS DescribeFeatureType response to and provides a form to specify
- * filter parameters.   TBD: not yet completed.
- * This generic widget requires the config file to specify a <stylesheet>.
+ * filter parameters.
  * @constructor
- * @base WidgetBase
+ * @base WidgetBaseXSL
  * @param widgetNode  The widget's XML object node from the configuration document.
  * @param model       The model object that this widget belongs to.
  */
-function xxFilterAttributes(widgetNode, model) {
-  var base = new WidgetBase(this, widgetNode, model);
-
-
+function FilterAttributes(widgetNode, model) {
+  WidgetBaseXSL.apply(this,new Array(widgetNode, model));
 }
Index: lib/spatial/mapbuilder/lib/widget/ZoomIn.js
===================================================================
--- lib/spatial/mapbuilder/lib/widget/ZoomIn.js	(revision 4306)
+++ lib/spatial/mapbuilder/lib/widget/ZoomIn.js	(revision 4307)
@@ -1,58 +1,28 @@
 /*
 License: LGPL as per: http://www.gnu.org/copyleft/lesser.html
-$Id$
+$Id: ZoomIn.js 2956 2007-07-09 12:17:52Z steven $
 */
 
 // Ensure this object's dependancies are loaded.
 mapbuilder.loadScript(baseDir+"/widget/ButtonBase.js");
+mapbuilder.loadScript(baseDir+"/util/openlayers/OpenLayers.js");
 
 /**
- * When this button is selected, clicks on the MapPane trigger a zoomIn to the 
- * currently set AOI.
+ * ZoomIn button - zooms in on click or box drag in the map.
  * @constructor
  * @base ButtonBase
- * @author Mike Adair mike.adairATccrs.nrcan.gc.ca
+ * @author Andreas HOcevar andreas.hocevarATgmail.com
  * @param widgetNode The widget node from the Config XML file.
- * @param model  The model for this widget
+ * @param model The model for this widget
  */
 function ZoomIn(widgetNode, model) {
   // Extend ButtonBase
   ButtonBase.apply(this, new Array(widgetNode, model));
 
-  this.zoomBy = 4;//TBD: get this from config
+  this.cursor = 'crosshair';
 
-  /**
-   * Calls the model's ceter at method to zoom in.  If the AOI is a single point,
-   * it zooms in by the zoomBy factor.
-   * @param objRef      Pointer to this object.
-   * @param targetNode  The node for the enclosing HTML tag for this widget.
-   */
-  this.doAction = function(objRef,targetNode) {
-    if (objRef.enabled) {
-      var bbox = objRef.targetModel.getParam("aoi");
-      if ( bbox!=null) {
-        var extent = objRef.targetModel.extent;
-        var ul = bbox[0];
-        var lr = bbox[1];
-        if ( ( ul[0]==lr[0] ) && ( ul[1]==lr[1] ) ) {
-          extent.centerAt( ul, extent.res[0]/objRef.zoomBy );
-        } else {
-          extent.zoomToBox( ul, lr );
-        }
-      }
-    }
+  this.createControl = function() {
+    return OpenLayers.Control.ZoomBox;
   }
-
-  /**
-   * Register for mouseUp events.
-   * @param objRef  Pointer to this object.
-   */
-  this.setMouseListener = function(objRef) {
-    if (objRef.mouseHandler) {
-      objRef.mouseHandler.model.addListener('mouseup',objRef.doAction,objRef);
-    }
-  }
-  this.model.addListener( "loadModel", this.setMouseListener, this );
-
 }
 
Index: lib/spatial/mapbuilder/lib/widget/OpenLSResponse.js
===================================================================
--- lib/spatial/mapbuilder/lib/widget/OpenLSResponse.js	(nonexistent)
+++ lib/spatial/mapbuilder/lib/widget/OpenLSResponse.js	(revision 4307)
@@ -0,0 +1,21 @@
+/*
+Description: Display the OpenLS Geocoder response as html
+Author:      Steven Ottens AT geodan.nl
+Licence:     LGPL as per: http://www.gnu.org/copyleft/lesser.html
+$Id: OpenLSResponse.js 2546 2007-01-23 12:07:39Z gjvoosten $
+*/
+
+// Ensure this object's dependancies are loaded.
+mapbuilder.loadScript(baseDir+"/widget/WidgetBaseXSL.js");
+
+/**
+ * Render the response froma Geocoding request
+ * @constructor
+ * @base WidgetBaseXSL
+ * @author Steven Ottens AT geodan nl
+ * @param widgetNode  The widget's XML object node from the configuration document.
+ * @param model       The model object that this widget belongs to.
+ */
+function OpenLSResponse(widgetNode, model) {
+  WidgetBaseXSL.apply(this, new Array(widgetNode, model));
+}
